import * as Joi from 'joi';
import Validations from './services/validations';

module.exports = {
  prepareMessage: (message: string) => {
    const validations = new Validations(message);
    const parsed = JSON.parse(message);
    const result = Joi.validate(parsed, validations.MessageConditions);

    if (result.error) {
      return result;
    } else {
      return parsed;
    }
  }
};
